# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rmline/version'

Gem::Specification.new do |spec|
  spec.name          = "rmline"
  spec.homepage      = "https://github.com/jameslwren/rmline"
  spec.version       = Rmline::VERSION
  spec.authors       = ["James Wren"]
  spec.email         = ["jameslwren@gmail.com"]

  spec.summary       = %q{Takes a file as input and an argument to part lines on}
  spec.description   = %q{This has been deprecated and renamed to partline. Please use that instead.}
  spec.license       = "MIT"

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}).map { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.post_install_message = <<-MESSAGE
  ! 
  !       ATTENTION
  !
  !       rmline has been renamed to partline
  !       See: https://rubygems.org/gems/partline
  !       And: https://github.com/jameslwren/partline
  MESSAGE
end
